Upload Yodlee
curl --request POST \
--url https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/yodlee \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"accounts": [
{
"balance": {
"amount": 123,
"currency": "<string>"
},
"classification": "<string>",
"id": 123
}
],
"transactions": [
{
"accountId": 123,
"amount": {
"amount": 123,
"currency": "<string>"
},
"category": "<string>",
"date": "2025-07-08",
"description": {
"original": "<string>",
"simple": "<string>"
},
"id": 123
}
]
}
'import requests
url = "https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/yodlee"
payload = {
"accounts": [
{
"balance": {
"amount": 123,
"currency": "<string>"
},
"classification": "<string>",
"id": 123
}
],
"transactions": [
{
"accountId": 123,
"amount": {
"amount": 123,
"currency": "<string>"
},
"category": "<string>",
"date": "2025-07-08",
"description": {
"original": "<string>",
"simple": "<string>"
},
"id": 123
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accounts: [
{
balance: {amount: 123, currency: '<string>'},
classification: '<string>',
id: 123
}
],
transactions: [
{
accountId: 123,
amount: {amount: 123, currency: '<string>'},
category: '<string>',
date: '2025-07-08',
description: {original: '<string>', simple: '<string>'},
id: 123
}
]
})
};
fetch('https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/yodlee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_summary": {
"request_id": "<string>"
}
}EndUserIntegrations
Upload Yodlee
Upload Yodlee JSON files for a specified end user to translate into Heron Data format and add transactions for the end user
POST
/
api
/
end_users
/
{end_user_id_or_heron_id}
/
yodlee
Upload Yodlee
Authorizations
Path Parameters
The end_user_id or heron_id of EndUser to upload
Body
application/json
Response
201 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I